Bug 584161 - squid userid not added to wbpriv group
Summary: squid userid not added to wbpriv group
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squid
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jiri Skala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 643362
TreeView+ depends on / blocked
 
Reported: 2010-04-20 20:48 UTC by Mark Orenstein
Modified: 2014-11-09 22:32 UTC (History)
8 users (show)

Fixed In Version: squid-3.1.8-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 643362 797571 (view as bug list)
Environment:
Last Closed: 2010-11-01 20:47:36 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Mark Orenstein 2010-04-20 20:48:58 UTC
Description of problem: If squid is installed before samba-winbind, then the wbpriv group, when created, does not include squid.  This results in ntlm_auth calls by squid failing. "failed due to [winbind client not authorized to use winbindd_pam_auth_auth_crap. Ensure permissions on /var/lib/samba/winbindd_privileged are set correctly." 

Installing samba-winbind first resolves the problem


Version-Release number of selected component (if applicable): Fedora 12 x86_64 updated 2010/04/20.

How reproducible: Always


Steps to Reproduce:
1.During anaconda install check off squid
2.After Fedora is installed, yum install samba-squid
3.
  
Actual results: In /etc/group with corresponding gshadow
wbpriv:x:88:

Expected results: In /etc/group with corresponding gshadow
wbpriv:x:88:squid


Additional info:

Comment 1 Stefan Jensen 2010-09-04 06:52:27 UTC
Same here on F13

Comment 2 Fedora Admin XMLRPC Client 2010-10-08 14:44:07 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Guenther Deschner 2010-10-08 14:57:40 UTC
Reassigning to squid

Comment 4 Jiri Skala 2010-10-14 13:16:31 UTC
I've renewed trigger in squid.spec then I've extended it about this lines:

if ! getent group wbpriv >/dev/null 2>&1 ; then
  /usr/sbin/groupadd -g 88 wbpriv >/dev/null 2>&1 || :
fi

It works fine for me.

This trigger is invoked when samba-common (required by samba-winbind) is installed/upgraded.

I've made a build in rawhide and the one should be available to test in rawhide repository in next hours. Please, give me a feedback. I'll backport it into f14 and olders when it works fine.

Guenther, is this extension fine for you? What about the same conditional group 'wbpriv' insertion in samba-common subpackage?

Comment 5 Simo Sorce 2010-10-14 14:32:39 UTC
Jiri we discussed exactly this approach a few days ago.
Can you open a samba bug (maybe just clone) so that we can make sure to remember to do the change on our side?

Comment 6 Fedora Update System 2010-10-18 07:37:40 UTC
squid-3.1.8-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/squid-3.1.8-2.fc14

Comment 7 Fedora Update System 2010-10-18 07:37:47 UTC
squid-3.1.8-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/squid-3.1.8-2.fc13

Comment 8 Fedora Update System 2010-10-18 20:54:09 UTC
squid-3.1.8-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update squid'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/squid-3.1.8-2.fc14

Comment 9 Fedora Update System 2010-11-01 20:47:29 UTC
squid-3.1.8-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-11-01 20:52:06 UTC
squid-3.1.8-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.